author: Michel Dagenais
copyright: Michel Dagenais, GNU General Public License, 1997
date: 8 October 1997
keyword: HTML
keyword: SGML
keyword: documentation
keyword: m3tosgml
keyword: conversion
keyword: TeX
keyword: medium audience

# Sgmlconv: Conversion from HTML to TeX and Other Formats

## Abstract

This program converts an HTML document into LaTeX or other formats.

The program `sgmlconv` reads the HTML input file (first command line argument, standard input when no argument given), converts the content to LaTeX or other formats, and writes it to the output file (second command line argument, standard output when no argument given). It accepts the following command line options.

-htmltex
  Convert to LaTeX. The expected input format (HTML with additional attribute values and tags) is described later in this text.
-report
  Use the LaTeX report style instead of article.
-htmlhtml
  Perform minor adjustments on the HTML input, in preparation for shipping into the installation directory. All hypertext references to files in other Modula-3 packages are adjusted to reflect the flattened hierarchy used in the installation directory. Moreover, references to files with special extensions (e.g. .i3) are replaced by other extensions (e.g. .html) because of conversions which take place between the source and the installation directory.
-r oldext newext
  With `-htmlhtml`, replace the extension for hypertext references from oldext to newext.
-path p
  The input HTML file is located in path p within the current package. This is used to detect hypertext links between packages, with option `-htmlhtml`.
-v
  Produce information about the parsing while it proceeds.

- The Documentation Format